listConversations
Retrieves a list of Conversation you’ve previously created. The conversations are returned in sorted order, with the most recent appearing first. The list can be filtered using Tags.
GET
/v1/chat/conversationsAuthorization
AuthorizationBearerBearer authentication header of the form Bearer <token>, where <token> is your auth token.
Header parameters
x-bp-authenticated-principalstringAuthenticated principal. Injected by the authentication middleware.
x-bot-idstringBot id
x-integration-id?stringIntegration id
x-integration-alias?stringIntegration alias
Query parameters
nextToken?stringProvide the `meta.nextToken` value provided in the last API response to retrieve the next page of results
pageSize?integerNumber of items to return per page (default 20, max 100)
sortField?enum<string>Sort results by this field
Available options:
"createdAt","updatedAt"sortDirection?enum<string>Sort results in this direction
Available options:
"asc","desc"tags?objectFilter by tags
participantIds?string[]Filter by participant ids
integrationName?stringFilter by integration name
channel?stringFilter by integration channel name
afterDate?stringDate in ISO 8601 string with UTC timezone after which the conversation was created (inclusive)
beforeDate?stringDate in ISO 8601 string with UTC timezone before which the conversation was created (inclusive)
minMessageCount?integerFilter conversations with a message count greater than or equal to this value (inclusive)
maxMessageCount?integerFilter conversations with a message count less than or equal to this value (inclusive)
Response
Returns a list of Conversation objects
conversationsobject[]metaobject